Incrementally inflate encoded data

- « gzwrite

- inflate_get_read_len »

- PHP Manual
- Zlib Functions
- Incrementally inflate encoded data

# inflate_add

(PHP 7, PHP 8)

inflate_add — Incrementally inflate encoded data

### Description

inflate_add(InflateContext `$context`, string `$data`, int `$flush_mode` = `ZLIB_SYNC_FLUSH`): string|false

Incrementally inflates encoded data in the specified `context`.

Limitation: header information from GZIP compressed data are not made available.

### Parameters

`context`

  A context created with inflate_init().

`data`

  A chunk of compressed data.

`flush_mode`

  One of `ZLIB_BLOCK`, `ZLIB_NO_FLUSH`, `ZLIB_PARTIAL_FLUSH`, `ZLIB_SYNC_FLUSH` (default), `ZLIB_FULL_FLUSH`, `ZLIB_FINISH`. Normally you will want to set `ZLIB_NO_FLUSH` to maximize compression, and `ZLIB_FINISH` to terminate with the last chunk of data. See the » zlib manual for a detailed description of these constants.

### Return Values

Returns a chunk of uncompressed data, or `false` on failure.

### Errors/Exceptions

If invalid parameters are given, inflating the data requires a preset dictionary, but none is specified, the compressed stream is corrupt or has an invalid checksum, an error of level `E_WARNING` is generated.

### Changelog

Version | Description
--- | ---
8.0.0 | `context` expects an InflateContext instance now; previously, a resource was expected.

### See Also

- inflate_init() - Initialize an incremental inflate context